edu.wpi.first.wpilibj.hal

## Enum AllianceStationID

- java.lang.Object
- - java.lang.Enum<AllianceStationID>
  - - edu.wpi.first.wpilibj.hal.AllianceStationID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AllianceStationID>

      public enum AllianceStationID
      extends java.lang.Enum<AllianceStationID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Blue1`
    `Blue2`
    `Blue3`
    `Red1`
    `Red2`
    `Red3`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AllianceStationID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AllianceStationID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Red1

          public static final AllianceStationID Red1

    - #### Red2

          public static final AllianceStationID Red2

    - #### Red3

          public static final AllianceStationID Red3

    - #### Blue1

          public static final AllianceStationID Blue1

    - #### Blue2

          public static final AllianceStationID Blue2

    - #### Blue3

          public static final AllianceStationID Blue3

  - ### Method Detail

    - #### values

          public static AllianceStationID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AllianceStationID c : AllianceStationID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AllianceStationID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null